#! /usr/bin/env python
# -*- coding: utf-8 -*-

# -----------------------------------------
# PLASMA installer
# University of Tennessee Knoxville
# July 4, 2009
# ----------------------------------------

import sys
import os

VERSION_MAJOR = 1
VERSION_MINOR = 1
VERSION_MICRO = 0

import script
from script.blas import Blas
from script.plasma import Plasma

import netlib

def main(argv):
  if len(argv) == 1: # only program name, no command line arguments
    print "Use '--help' to see the required command line options."
    return 0

  config = netlib.Config((VERSION_MAJOR, VERSION_MINOR, VERSION_MICRO))

  plasma = Plasma(argv, config)

  if plasma.testing:
    blas_inst     = Blas(config, plasma.downblas, plasma.downcmd);

  plasma.resume()

  return 0

if "__main__" == __name__:
  sys.exit(main(sys.argv))
